# spec file for php-horde-Horde-Smtp
#
# Copyright (c) 2013 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Smtp
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Smtp
Version:        1.8.0
Release:        1%{?dist}
Summary:        Horde SMTP Client

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(pear.horde.org)
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) < 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mail) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) <  3.0.0
# From phpcompatinfo report
Requires:       php-date
Requires:       php-hash
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-spl
# Optional
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) <  3.0.0
# Horde_Secret optional and implicitly required

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Provides interfaces for connecting to a SMTP (RFC 5321) server to send
e-mail messages..

%prep
%setup -q -c

cd %{pear_name}-%{version}
# Don't install .po and .pot files
sed -e '/%{pear_name}.pot/d' \
    ../package.xml >%{name}.xml

# No .mo file for now, so no gettext required


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
# All tests skipped for now (need a SMTP server configured)
src=$(pwd)/%{pear_name}-%{version}
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d include_path=$src/lib:.:%{pear_phpdir} \
    -d date.timezone=UTC \
    .


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.horde.org/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Smtp
%{pear_phpdir}/Horde/Smtp.php
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}


%changelog
* Wed Jan 07 2015 josef radinger <cheese@nosuchhost.net> - 1.8.0-1
- bump version

* Mon Nov 24 2014 josef radinger <cheese@nosuchhost.net> - 1.7.0-1
- bump version

* Tue Aug 05 2014 josef radinger <cheese@nosuchhost.net> - 1.6.0-1
- bump version

* Wed Jun 18 2014 josef radinger <cheese@nosuchhost.net> - 1.5.2-1
- bump version

* Thu Jun 12 2014 josef radinger <cheese@nosuchhost.net> - 1.5.1-1
- bump version

* Wed May 21 2014 josef radinger <cheese@nosuchhost.net> - 1.5.0-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 1.4.1-1
- Update to 1.4.1

* Mon Mar 31 2014 josef radinger <cheese@nosuchhost.net> - 1.4.0-1
- Update to 1.4.0

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 1.3.0-1
- Update to 1.3.0

* Mon Oct 07 2013 josef radinger <cheese@nosuchhost.net> - 1.2.3-1
- Update to 1.2.3
  
* Wed Aug 28 2013 Remi Collet <remi@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Fri Aug 23 2013 Remi Collet <remi@fedoraproject.org> - 1.1.0-1
- initial package


